Subject: Re: [patch net-next 00/11] mlxsw: Implement dev info and dev flash for line cards

From: Jakub Kicinski <[email-masked]>
Date: Mon, 27 Jun 2022 11:52:09 -0700

On Mon, 27 Jun 2022 11:38:50 -0700 Shannon Nelson wrote:
> >> Can you encode the base device's PCI info into the auxiliary device's id  
> > 
> > Would look odd to he PCI BDF in auxdev addsess, wouldn't it?  
> 
> Sure, it looks a little odd to see something like mycore.app.1281, but 
> it does afford the auxiliary driver, and any other observer, a way to 
> figure out which device it is representing.  This also works nicely when 
> trying to associate an auxiliary driver instance for a VF with the 
> matching VF PCI driver instance.

I'd personally not mind divorcing devlink from bus devices a little
more. On one hand we have cases like this where there's naturally no
bus device, on the other we have multi-link PCI devices which want to
straddle NUMA nodes but otherwise are just a logical unit.